VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::ComponentData Class Reference

The `ComponentData` class contains the metamodel metadata information of a component element along with its fingerprint. More...

List of all members.

## Public Member Functions
| ComponentData ()
| Creates a default new instance.
vmware.vapi.metadata.metamodel.ComponentInfo | GetInfo ()
| Metamodel information of the component element.
void | SetInfo (vmware.vapi.metadata.metamodel.ComponentInfo info)
| Metamodel information of the component element.
string | GetFingerprint ()
| Fingerprint of the metamodel metadata of the component component.
void | SetFingerprint (string fingerprint)
| Fingerprint of the metamodel metadata of the component component.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ComponentData` class contains the metamodel metadata information of a component element along with its fingerprint.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::ComponentData::ComponentData | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::ComponentData::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::ComponentData::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::ComponentData::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::ComponentData::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::ComponentData::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::ComponentData::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::metadata::metamodel::ComponentData::GetFingerprint | ( |  | ) | `[inline]`

Fingerprint of the metamodel metadata of the component component.

Metamodel information could change when there is an infrastructure update and new functionality is added to an existing component.

Since the data present in ComponentData.info could be quite large, `fingerprint` provides a convenient way to check if the data for a particular component is updated.

You should store the fingerprint associated with a component. After an update, by invoking the Component.Fingerprint method, you can retrieve the new fingerprint for the component. If the new fingerprint and the previously stored fingerprint do not match, clients can use the Component.Get to retrieve the new metamodel information for the component.

override int vmware::vapi::metadata::metamodel::ComponentData::GetHashCode | ( |  | ) | `[inline]`

vmware.vapi.metadata.metamodel.ComponentInfo vmware::vapi::metadata::metamodel::ComponentData::GetInfo | ( |  | ) | `[inline]`

Metamodel information of the component element.

This includes information about all the package elements contained in this component element.

The metamodel information about a component could be quite large if there are a lot of package elements contained in this component.

void vmware::vapi::metadata::metamodel::ComponentData::SetFingerprint | ( | string | fingerprint | ) | `[inline]`

Fingerprint of the metamodel metadata of the component component.

Metamodel information could change when there is an infrastructure update and new functionality is added to an existing component.

Since the data present in ComponentData.info could be quite large, `fingerprint` provides a convenient way to check if the data for a particular component is updated.

You should store the fingerprint associated with a component. After an update, by invoking the Component.Fingerprint method, you can retrieve the new fingerprint for the component. If the new fingerprint and the previously stored fingerprint do not match, clients can use the Component.Get to retrieve the new metamodel information for the component.

void vmware::vapi::metadata::metamodel::ComponentData::SetInfo | ( | vmware.vapi.metadata.metamodel.ComponentInfo | info | ) | `[inline]`

Metamodel information of the component element.

This includes information about all the package elements contained in this component element.

The metamodel information about a component could be quite large if there are a lot of package elements contained in this component.

override string vmware::vapi::metadata::metamodel::ComponentData::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- metamodel/ComponentData.cs